# $Revision: 1.33 $, $Date: 2002/10/05 14:46:36 $
Summary:	Highly configurable and secure finger daemon with IPv6 support
Summary(pl):	Niezwykle konfigurowalny i bezpieczny demon fingerd ze wspraciem dla IPv6
Name:		cfingerd
Version:	1.4.3
Release:	11
License:	GPL
Group:		Networking/Daemons
Vendor:		Martin Schulze <joey@infodrom.north.de>
URL:		http://www.infodrom.north.de/cfingerd/
Source0:	http://www.infodrom.org/projects/cfingerd/download/%{name}-%{version}.tar.gz
Source1:	%{name}.logrotate
Source2:	%{name}.inetd
Patch0:		http://www.misiek.eu.org/ipv6/%{name}-1.4.3-ipv6-12121999.patch.gz
Patch1:		%{name}-config.patch
Patch2:		%{name}-security_format_bug.patch
Patch3:		%{name}-gpg.patch
Requires:	inetdaemon
Prereq:		rc-inetd >= 0.8.1
Provides:	fingerd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	cfingerd-nobody
Obsoletes:	cfingerd-noroot
Obsoletes:	efingerd
Obsoletes:	ffingerd
Obsoletes:	finger-server
Obsoletes:	bsd-fingerd

%description
CFINGERD is a free finger daemon replacement for standard finger
daemons such as GNU Finger, MIT Finger, or KFINGERD. CFINGERD is
highly becoming a respected standard as the finger daemon to use.

%description -l pl
CFINGERD jest darmowym serwerem usugi finger zastpujcym inne demony
fingera takie jak GNU Finger, MIT Finger, lub KFINGERD. CFINGERD staje
si respektowanym standardem dla demonw usugi finger.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
./Configure
%{__make} all CFLAGS="-DINET6=1 %{rpmcflags}" LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{%{name}/scripts,logrotate.d,sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{1,5,8}}

install src/cfingerd userlist/userlist $RPM_BUILD_ROOT%{_sbindir}/
install	cfingerd.conf userlist/userlist.conf texts/*.txt \
$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/

install scripts/* $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/scripts/

install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install	%{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/fingerd

install userlist/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install	docs/*.5 $RPM_BUILD_ROOT%{_mandir}/man5/
install	docs/*.8 $RPM_BUILD_ROOT%{_mandir}/man8/


%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS FAQ README README.noroot RECOMMEND TODO
%attr(755,root,root) %dir %{_sysconfdir}/%{name}
%attr(755,root,root) %dir %{_sysconfdir}/%{name}/scripts
%attr(755,root,root) %{_sysconfdir}/%{name}/scripts/*
%attr(755,root,root) %{_sbindir}/*
%attr(600,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/cfingerd.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/userlist.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/*.txt
%attr(640,root,root) /etc/logrotate.d/%{name}
%attr(640,root,root) /etc/sysconfig/rc-inetd/fingerd
%{_mandir}/man[158]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cfingerd.spec,v $
Revision 1.33  2002/10/05 14:46:36  kloczek
- release 11,
- fix in config patch (s/Polish Linux Distribution/PLD Linux Distribution/)
- use new %doc.

Revision 1.32  2002/09/11 21:50:43  undefine
- changing source url to working one

Revision 1.31  2002/09/06 12:06:01  misiek
- enable ipv6

Revision 1.30  2002/09/02 18:28:31  undefine
- release 9 to rebuild with fixed cfingerd.inetd (only ipv4 support)

Revision 1.29  2002/04/25 16:04:40  arturs
fixed a small typo

Revision 1.28  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 02:12:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/07/28 21:37:29  blues
- typo: %s/sever"/server"/

Revision 1.25  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.23  2001/05/13 17:27:25  kloczek
- release 8,
- added patch for display GPG Public Keys (by Piotr Majka <charvel@linux.pl>).

Revision 1.22  2001/04/13 07:10:43  kloczek
- release 7 (security fix),
- added security_format_bug by Megyer Laszlo <abulla@FREEMAIL.HU> (patch was posted on
  BUGTRAQ,
- added using %%{rpmcflags}, %%{rpmldflags} macros.

Revision 1.21  2001/01/25 20:03:22  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.20  2001/01/07 16:50:31  kloczek
- release 6: added efingerd to Obsoletes list.

Revision 1.19  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.18  2000/10/02 14:00:28  kloczek
- typo.

Revision 1.17  2000/10/02 13:51:57  kloczek
- release 5,
- use rpm new automation suit,
- adapterized and make %%{debug} ready.

Revision 1.16  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.14  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.12  2000/01/20 14:37:22  kloczek
- release 4,
- install inet service description file as fingerd (this allow generate
  conflict if anyone can install cfingerd simultanously fith other finger
  daemon).

Revision 1.11  2000/01/13 11:31:40  kloczek
- release 3.

Revision 1.10  2000/01/13 06:45:43  waszi
- small fixes

Revision 1.9  2000/01/11 16:46:25  kloczek
- typo in Obsoletes (s/ffingetd/ffingerd/)

Revision 1.8  2000/01/11 16:15:50  kloczek
- ups .. install also texts/*.txt.

Revision 1.7  2000/01/11 15:30:25  kloczek
- "Prereq: rc-inetd >= 0.8.1" instead "Requires: rc-inetd",
- added %post, %postun scripts with reloading on upgrade and stopping on
  removing service.

Revision 1.6  2000/01/11 14:58:05  kloczek
- release 2,
- added ffingetd, finger-server, bsd-fingerd to Obsoletes.

Revision 1.5  1999/12/30 03:36:49  wiget
- 1.4.3
- updated IPv6 patch (by misiek)

Revision 1.4  1999/11/12 00:51:47  kura
- fixed Group(pl)
- 'install -d' is called only once

Revision 1.3  1999/10/11 07:02:36  waszi
- added rc-inetd support

Revision 1.2  1999/08/20 14:42:13  misiek
config root read-only

Revision 1.1  1999/08/18 13:29:57  misiek
new spec
